#!/bin/sh

EXECUTABLE="main"
FILES="main dilations util/mt19937ar benchmark operators/delta_G_max operators/delta_G_min operators/delta_max operators/delta_sigma operators/deltas randmerge propformula foformula examples"
BUDDY="${PWD}/buddy-cvs"
CXX=g++
# --param large-function-growth=400 is needed for gcc 3.4.6 in order to inline some trivial methods
# that otherwise fail the compiler's heuristics for jugding inlining-ness
CXXFLAGS="-Wall -Wextra -O2 -march=prescott -I. -I${BUDDY}/src"
LIBFLAGS="${BUDDY}/src/.libs/libbdd.a"


exec > Makefile

OBJECT_FILES=""
ECHO="/bin/echo -e"
COMPILE="${CXX} ${CXXFLAGS}"
MAKEDEP="${CXX} -MM -MG"

for F in $FILES
do
	OBJECT_FILES="${OBJECT_FILES} ${F}.o"
done

# variables
$ECHO 'CXX='${CXX}
$ECHO 'CXXFLAGS='${CXXFLAGS}
$ECHO 'COMPILE='${COMPILE}
$ECHO 'LIBFLAGS='${LIBFLAGS}
$ECHO

# main rule
$ECHO "${EXECUTABLE}:${OBJECT_FILES}"
$ECHO "\t"'${COMPILE}' -o ${EXECUTABLE}${OBJECT_FILES} '${LIBFLAGS}'
$ECHO "\tstrip ${EXECUTABLE}"
$ECHO

# rules for object files
for F in $FILES
do

$MAKEDEP ${F}.cc
$ECHO "\t"'${COMPILE}' -c ${F}.cc
$ECHO

done

# common rules
$ECHO "clean:"
$ECHO "\t-rm -f ${EXECUTABLE}${OBJECT_FILES}"
$ECHO

