#!/usr/bin/python
import os

def run(op, vars, kbs, iterations, clauses, exp):
	target = '%.2d-%.3d-%.3d-%.1d.csv' % (kbs, vars, clauses, op )
	argdict = {'exec':'../../main', 'op':op, 'vars':vars, 'kbs':kbs, 'iterations':iterations, 'clauses':clauses, 'exp':exp, 'target':target}
	command = "%(exec)s -R -o %(op)d -p %(vars)d -k %(kbs)d -n %(iterations)d -c %(clauses)d -s 0 -t 3500 > %(exp)s/%(target)s" % argdict
	return os.system(command)



def clause_range(K, v):
	R = 4.3
	ratios = 8
	low = R/(K + 1.0)
	high = R
	
	nlow = low + 0.1*(high-low)
	nhigh = high - 0.1*(high-low)
	
	nstep = (nhigh-nlow)/(ratios-1)
	r = nlow
	
	result = []
	for i in range(ratios):
		c = int(round(r*v))
		result.append(c)
		r = r + nstep

	return result


iterations = 500
kbs = 7

for op in range(1,5):
	for vars in [10, 15, 20]:
		for clauses in clause_range(kbs, vars):
			run(op, vars, kbs, iterations, clauses, '%.2d_%.2d' % (kbs, vars))
