#!/usr/bin/python

import os
import pipes

X=1
Y=5
lstyles = {10:1, 15:2, 20:3}
pstyles = [1, 1, 1, 1]
names = ['Max', '{/Symbol S}', 'Gmax', 'Gmin']


d = '07'
for op in [1, 2, 3, 4]:
	t = pipes.Template()
	t.append('gnuplot', '-.')
	f = t.open('/tmp/1', 'w')
	
	f.write("""
	set terminal postscript eps enhanced
	set size 0.6,0.6
	set output '%s-mem.eps'
	set datafile separator ','
	set xrange [0.5:4]
	set yrange [1000:2000000]
	set logscale y
	""" % op)
	
	f.write("plot ")
	
	for p in [10, 15, 20]:
		title = "title '%s, %i atoms'" % (names[op-1], p)
			
		f.write("'%s_%d/stats-%d.csv' using %d:%d with linespoints lt %d pt %d %s" % (d,p,op,X,Y,lstyles[p],pstyles[op-1],title))
		
		if p!=20:
			f.write(',')
	f.close()

	p=os.popen('/usr/bin/epstopdf %s-mem.eps' % op)
	p.close()
	

# 
# 
# 
# lstyles = {10:1, 15:1, 20:1}
# pstyles = [1, 2, 4, 3]
# names = ['max', '{/Symbol S}', 'Gmax', 'Gmin']
# 
# 
# 
# 
# for d in ['03', '05', '07']:
# 	t = pipes.Template()
# 	t.append('gnuplot', '-.')
# 	f = t.open('/tmp/1', 'w')
# 	
# 	
# 	f.write("""
# 	set terminal postscript eps enhanced
# 	set output '%s.eps'
# 	set datafile separator ','
# 	set xrange [0.5:4]
# 	#set yrange [500:2000000]
# 	set yrange [1:100000]
# 	set logscale y
# 	""" % d)
# 	
# 	f.write("plot ")
# 	
# 	for p in [10, 15, 20]:
# 		for op in [1, 2, 3, 4]:
# 			if p==10:
# 				title = "title '%s'" % names[op-1]
# 			else:
# 				title = 'notitle'
# 				
# 			f.write("'%s_%d/stats-%d.csv' using %d:%d with linespoints lt %d pt %d %s" % (d,p,op,X,Y,lstyles[p],pstyles[op-1],title))
# 			
# 			if p!=20 or op!=4:
# 				f.write(',')
# 	f.close()
# 
# 	p=os.popen('/usr/bin/epstopdf %s.eps' % d)
# 	p.close()
# 	
