#!/usr/bin/python

import os
import pipes

X='1'
Y='($9/1000)'
lstyles = {10:1, 15:2, 20:3}
pstyles = [1, 1, 1, 1]
names = ['Max', '{/Symbol S}', 'Gmax', 'Gmin']


d = '07'
for op in [1, 2, 3, 4]:
	t = pipes.Template()
	t.append('gnuplot', '-.')
	f = t.open('/tmp/1', 'w')
	
	f.write("""
	set terminal postscript eps enhanced
	set size 0.6,0.6
	set output '%s-time.eps'
	set datafile separator ','
	set xrange [0.5:4]
	#set yrange [500:2000000]
	set yrange [0.001:100]
	set logscale y
	""" % op)
	
	f.write("plot ")
	
	for p in [10, 15, 20]:
		title = "title '%s, %i atoms'" % (names[op-1], p)
			
		f.write("'%s_%d/stats-%d.csv' using %s:%s with linespoints lt %d pt %d %s" % (d,p,op,X,Y,lstyles[p],pstyles[op-1],title))
		
		if p!=20:
			f.write(',')
	f.close()

	p=os.popen('/usr/bin/epstopdf %s-time.eps' % op)
	p.close()
	
