#!/usr/bin/python

import os
import pipes

X='1'
Y='($9/1000)'
E='17'
pstyles = [1, 2, 4, 3]
names = ['Max', '{/Symbol S}', 'Gmax', 'Gmin']
d = 'data'

xtics = ','.join([ '"%i,%i" %i' % (round(2.3*v), v, v) for v in range(10,28,2) ])

t = pipes.Template()
t.append('gnuplot', '-.')
f = t.open('/tmp/1', 'w')
f.write("""
set xtics (%s)
set terminal postscript eps enhanced
set output '%s.eps'
set datafile separator ','
#set xlabel "Number of clauses/number of atoms"
#set ylabel "Mean time required (sec)"
set logscale y
#set format y ""
""" % (xtics,d))
f.write("plot ")

for op in [1, 2, 3, 4]:
	title = "title '%s'" % (names[op-1])
	f.write("'%s/stats-%d.csv' using %s:%s with linespoints lt 1 pt %d %s " % (d,op,X,Y,pstyles[op-1],title))
	if op!=4:
		f.write(', ')
	

f.close()

p=os.popen('/usr/bin/epstopdf %s.eps' % d)
p.close()

